package com.jpsoft.shinestar.modules.base.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
  描述:base_owner_info的实体类
 */
public class OwnerInfo {
	private String id;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	private String name;
	private String tel;
	private String park;
	private String building;
	private String area;
	private Date checkinTime;
	private BigDecimal propertyCosts;
	private String cardNo;
	private String authority;
	private String carNo;
	private Boolean isAccessControl;
	private Boolean isThePublic;
	private String roomId;
	
		/**
	 *获取
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取业主名称
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置业主名称
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取手机号码
	 */
	public String getTel(){
		return tel;
	}
	
	/**
	 *设置手机号码
	 */
	public void setTel(String tel){
		this.tel = tel;
	}
		/**
	 *获取所在园区
	 */
	public String getPark(){
		return park;
	}
	
	/**
	 *设置所在园区
	 */
	public void setPark(String park){
		this.park = park;
	}
		/**
	 *获取楼栋/单元/房号
	 */
	public String getBuilding(){
		return building;
	}
	
	/**
	 *设置楼栋/单元/房号
	 */
	public void setBuilding(String building){
		this.building = building;
	}
		/**
	 *获取面积
	 */
	public String getArea(){
		return area;
	}
	
	/**
	 *设置面积
	 */
	public void setArea(String area){
		this.area = area;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd",timezone ="GMT+8")
		/**
	 *获取入住时间
	 */
	public Date getCheckinTime(){
		return checkinTime;
	}
	
	/**
	 *设置入住时间
	 */
	public void setCheckinTime(Date checkinTime){
		this.checkinTime = checkinTime;
	}
		/**
	 *获取应缴物业费
	 */
	public BigDecimal getPropertyCosts(){
		return propertyCosts;
	}
	
	/**
	 *设置应缴物业费
	 */
	public void setPropertyCosts(BigDecimal propertyCosts){
		this.propertyCosts = propertyCosts;
	}
		/**
	 *获取卡号
	 */
	public String getCardNo(){
		return cardNo;
	}
	
	/**
	 *设置卡号
	 */
	public void setCardNo(String cardNo){
		this.cardNo = cardNo;
	}
		/**
	 *获取权限
	 */
	public String getAuthority(){
		return authority;
	}
	
	/**
	 *设置权限
	 */
	public void setAuthority(String authority){
		this.authority = authority;
	}
		/**
	 *获取车牌
	 */
	public String getCarNo(){
		return carNo;
	}
	
	/**
	 *设置车牌
	 */
	public void setCarNo(String carNo){
		this.carNo = carNo;
	}
		/**
	 *获取是否绑定门禁
	 */
	public Boolean getIsAccessControl(){
		return isAccessControl;
	}
	
	/**
	 *设置是否绑定门禁
	 */
	public void setIsAccessControl(Boolean isAccessControl){
		this.isAccessControl = isAccessControl;
	}
		/**
	 *获取是否绑定公众号
	 */
	public Boolean getIsThePublic(){
		return isThePublic;
	}
	
	/**
	 *设置是否绑定公众号
	 */
	public void setIsThePublic(Boolean isThePublic){
		this.isThePublic = isThePublic;
	}

	/**
	 *获取房间号
	 */
	public String getRoomId(){
		return roomId;
	}

	/**
	 *设置房间号
	 */
	public void setRoomId(String roomId){
		this.roomId = roomId;
	}
}